import { JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
import { Interaction } from './interaction';
import { Flow } from './flow';
import { CredentialResponse } from 'jolocom-lib/js/interactionTokens/credentialResponse';
import { CredentialRequestFlowState } from './types';
export declare class CredentialRequestFlow extends Flow {
    state: CredentialRequestFlowState;
    constructor(ctx: Interaction);
    handleInteractionToken(token: JWTEncodable, interactionType: InteractionType): Promise<void>;
    private handleCredentialRequest;
    handleCredentialResponse(token: CredentialResponse): void;
}
